#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EGCItemMsg {
    Base = 1000,
    SetItemPosition = 1001,
    Craft = 1002,
    CraftResponse = 1003,
    Delete = 1004,
    VerifyCacheSubscription = 1005,
    NameItem = 1006,
    DEPRECATED_1007 = 1007,
    UnlockCrateResponse = 1008,
    PaintItem = 1009,
    PaintItemResponse = 1010,
    GoldenWrenchBroadcast = 1011,
    MOTDRequest = 1012,
    MOTDRequestResponse = 1013,
    DEPRECATED_1014 = 1014,
    DEPRECATED_1015 = 1015,
    DEPRECATED_1016 = 1016,
    DEPRECATED_1017 = 1017,
    DEPRECATED_1018 = 1018,
    NameBaseItem = 1019,
    NameBaseItemResponse = 1020,
    DEPRECATED_1021 = 1021,
    DEPRECATED_1022 = 1022,
    CustomizeItemTexture = 1023,
    CustomizeItemTextureResponse = 1024,
    UseItemRequest = 1025,
    UseItemResponse = 1026,
    DEPRECATED_1027 = 1027,
    RemoveItemName = 1030,
    RemoveItemPaint = 1031,
    GiftWrapItem = 1032,
    GiftWrapItemResponse = 1033,
    DeliverGift = 1034,
    DeliverGiftResponseGiver = 1035,
    DeliverGiftResponseReceiver = 1036,
    UnwrapGiftRequest = 1037,
    UnwrapGiftResponse = 1038,
    SetItemStyle = 1039,
    UsedClaimCodeItem = 1040,
    SortItems = 1041,
    RevolvingLootList_DEPRECATED = 1042,
    LookupAccount = 1043,
    LookupAccountResponse = 1044,
    LookupAccountName = 1045,
    LookupAccountNameResponse = 1046,
    UpdateItemSchema = 1049,
    RemoveCustomTexture = 1051,
    RemoveCustomTextureResponse = 1052,
    RemoveMakersMark = 1053,
    RemoveMakersMarkResponse = 1054,
    RemoveUniqueCraftIndex = 1055,
    RemoveUniqueCraftIndexResponse = 1056,
    SaxxyBroadcast = 1057,
    BackpackSortFinished = 1058,
    CollectItem = 1061,
    _DEPRECATED = 1062,
    ReportAbuse = 1065,
    ReportAbuseResponse = 1066,
    NameItemNotification = 1068,
    ApplyConsumableEffects = 1069,
    ConsumableExhausted = 1070,
    ShowItemsPickedUp = 1071,
    ClientDisplayNotification = 1072,
    ApplyStrangePart = 1073,
    IncrementKillCountAttribute = 1074,
    IncrementKillCountResponse = 1075,
    ApplyPennantUpgrade = 1076,
    SetItemPositions = 1077,
    ApplyEggEssence = 1078,
    NameEggEssenceResponse = 1079,
    PaintKitItem = 1080,
    PaintKitBaseItem = 1081,
    PaintKitItemResponse = 1082,
    GiftedItems = 1083,
    UnlockItemStyle = 1084,
    UnlockItemStyleResponse = 1085,
    ApplySticker = 1086,
    ItemAcknowledged = 1087,
    StatTrakSwap = 1088,
    UserTrackTimePlayedConsecutively = 1089,
    ItemCustomizationNotification = 1090,
    ModifyItemAttribute = 1091,
    CasketItemAdd = 1092,
    CasketItemExtract = 1093,
    CasketItemLoadContents = 1094,
    TradingBase = 1500,
    InitiateTradeRequest = 1501,
    InitiateTradeResponse = 1502,
    StartSession = 1503,
    SetItem = 1504,
    RemoveItem = 1505,
    UpdateTradeInfo = 1506,
    SetReadiness = 1507,
    ReadinessResponse = 1508,
    SessionClosed = 1509,
    CancelSession = 1510,
    TradeChatMsg = 1511,
    ConfirmOffer = 1512,
    TradeTypingChatMsg = 1513,
    FavoriteServer = 1601,
    BlacklistServer = 1602,
    ServerRentalsBase = 1700,
    ItemPreviewCheckStatus = 1701,
    ItemPreviewStatusResponse = 1702,
    ItemPreviewRequest = 1703,
    ItemPreviewRequestResponse = 1704,
    ItemPreviewExpire = 1705,
    ItemPreviewExpireNotification = 1706,
    ItemPreviewItemBoughtNotification = 1707,
    NewItemRequest = 2001,
    NewItemRequestResponse = 2002,
    PaintKitDropItem = 2003,
    SchemaReservationRequest = 2004,
    StoreGetUserData = 2500,
    StoreGetUserDataResponse = 2501,
    DEPRECATED_2502 = 2502,
    DEPRECATED_2503 = 2503,
    StorePurchaseFinalize = 2504,
    StorePurchaseFinalizeResponse = 2505,
    StorePurchaseCancel = 2506,
    StorePurchaseCancelResponse = 2507,
    StorePurchaseQueryTxn = 2508,
    StorePurchaseQueryTxnResponse = 2509,
    StorePurchaseInit = 2510,
    StorePurchaseInitResponse = 2511,
    BannedWordListRequest = 2512,
    BannedWordListResponse = 2513,
    ToGCBannedWordListBroadcast = 2514,
    ToGCBannedWordListUpdated = 2515,
    ToGCDirtySDOCache = 2516,
    ToGCDirtyMultipleSDOCache = 2517,
    ToGCUpdateSQLKeyValue = 2518,
    ToGCIsTrustedServer = 2519,
    ToGCIsTrustedServerResponse = 2520,
    ToGCBroadcastConsoleCommand = 2521,
    ServerVersionUpdated = 2522,
    ToGCWebAPIAccountChanged = 2524,
    RequestAnnouncements = 2525,
    RequestAnnouncementsResponse = 2526,
    RequestPassportItemGrant = 2527,
    ClientVersionUpdated = 2528,
    RecurringSubscriptionStatus = 2530,
    AdjustEquipSlotsManual = 2531,
    AdjustEquipSlotsShuffle = 2532,
    OpenCrate = 2534,
    AcknowledgeRentalExpiration = 2535,
    VolatileItemLoadContents = 2536,
}

impl EGCItemMsg {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Base as i32 => Some(Self::Base),
            x if x == Self::SetItemPosition as i32 => Some(Self::SetItemPosition),
            x if x == Self::Craft as i32 => Some(Self::Craft),
            x if x == Self::CraftResponse as i32 => Some(Self::CraftResponse),
            x if x == Self::Delete as i32 => Some(Self::Delete),
            x if x == Self::VerifyCacheSubscription as i32 => Some(Self::VerifyCacheSubscription),
            x if x == Self::NameItem as i32 => Some(Self::NameItem),
            x if x == Self::DEPRECATED_1007 as i32 => Some(Self::DEPRECATED_1007),
            x if x == Self::UnlockCrateResponse as i32 => Some(Self::UnlockCrateResponse),
            x if x == Self::PaintItem as i32 => Some(Self::PaintItem),
            x if x == Self::PaintItemResponse as i32 => Some(Self::PaintItemResponse),
            x if x == Self::GoldenWrenchBroadcast as i32 => Some(Self::GoldenWrenchBroadcast),
            x if x == Self::MOTDRequest as i32 => Some(Self::MOTDRequest),
            x if x == Self::MOTDRequestResponse as i32 => Some(Self::MOTDRequestResponse),
            x if x == Self::DEPRECATED_1014 as i32 => Some(Self::DEPRECATED_1014),
            x if x == Self::DEPRECATED_1015 as i32 => Some(Self::DEPRECATED_1015),
            x if x == Self::DEPRECATED_1016 as i32 => Some(Self::DEPRECATED_1016),
            x if x == Self::DEPRECATED_1017 as i32 => Some(Self::DEPRECATED_1017),
            x if x == Self::DEPRECATED_1018 as i32 => Some(Self::DEPRECATED_1018),
            x if x == Self::NameBaseItem as i32 => Some(Self::NameBaseItem),
            x if x == Self::NameBaseItemResponse as i32 => Some(Self::NameBaseItemResponse),
            x if x == Self::DEPRECATED_1021 as i32 => Some(Self::DEPRECATED_1021),
            x if x == Self::DEPRECATED_1022 as i32 => Some(Self::DEPRECATED_1022),
            x if x == Self::CustomizeItemTexture as i32 => Some(Self::CustomizeItemTexture),
            x if x == Self::CustomizeItemTextureResponse as i32 => Some(Self::CustomizeItemTextureResponse),
            x if x == Self::UseItemRequest as i32 => Some(Self::UseItemRequest),
            x if x == Self::UseItemResponse as i32 => Some(Self::UseItemResponse),
            x if x == Self::DEPRECATED_1027 as i32 => Some(Self::DEPRECATED_1027),
            x if x == Self::RemoveItemName as i32 => Some(Self::RemoveItemName),
            x if x == Self::RemoveItemPaint as i32 => Some(Self::RemoveItemPaint),
            x if x == Self::GiftWrapItem as i32 => Some(Self::GiftWrapItem),
            x if x == Self::GiftWrapItemResponse as i32 => Some(Self::GiftWrapItemResponse),
            x if x == Self::DeliverGift as i32 => Some(Self::DeliverGift),
            x if x == Self::DeliverGiftResponseGiver as i32 => Some(Self::DeliverGiftResponseGiver),
            x if x == Self::DeliverGiftResponseReceiver as i32 => Some(Self::DeliverGiftResponseReceiver),
            x if x == Self::UnwrapGiftRequest as i32 => Some(Self::UnwrapGiftRequest),
            x if x == Self::UnwrapGiftResponse as i32 => Some(Self::UnwrapGiftResponse),
            x if x == Self::SetItemStyle as i32 => Some(Self::SetItemStyle),
            x if x == Self::UsedClaimCodeItem as i32 => Some(Self::UsedClaimCodeItem),
            x if x == Self::SortItems as i32 => Some(Self::SortItems),
            x if x == Self::RevolvingLootList_DEPRECATED as i32 => Some(Self::RevolvingLootList_DEPRECATED),
            x if x == Self::LookupAccount as i32 => Some(Self::LookupAccount),
            x if x == Self::LookupAccountResponse as i32 => Some(Self::LookupAccountResponse),
            x if x == Self::LookupAccountName as i32 => Some(Self::LookupAccountName),
            x if x == Self::LookupAccountNameResponse as i32 => Some(Self::LookupAccountNameResponse),
            x if x == Self::UpdateItemSchema as i32 => Some(Self::UpdateItemSchema),
            x if x == Self::RemoveCustomTexture as i32 => Some(Self::RemoveCustomTexture),
            x if x == Self::RemoveCustomTextureResponse as i32 => Some(Self::RemoveCustomTextureResponse),
            x if x == Self::RemoveMakersMark as i32 => Some(Self::RemoveMakersMark),
            x if x == Self::RemoveMakersMarkResponse as i32 => Some(Self::RemoveMakersMarkResponse),
            x if x == Self::RemoveUniqueCraftIndex as i32 => Some(Self::RemoveUniqueCraftIndex),
            x if x == Self::RemoveUniqueCraftIndexResponse as i32 => Some(Self::RemoveUniqueCraftIndexResponse),
            x if x == Self::SaxxyBroadcast as i32 => Some(Self::SaxxyBroadcast),
            x if x == Self::BackpackSortFinished as i32 => Some(Self::BackpackSortFinished),
            x if x == Self::CollectItem as i32 => Some(Self::CollectItem),
            x if x == Self::_DEPRECATED as i32 => Some(Self::_DEPRECATED),
            x if x == Self::ReportAbuse as i32 => Some(Self::ReportAbuse),
            x if x == Self::ReportAbuseResponse as i32 => Some(Self::ReportAbuseResponse),
            x if x == Self::NameItemNotification as i32 => Some(Self::NameItemNotification),
            x if x == Self::ApplyConsumableEffects as i32 => Some(Self::ApplyConsumableEffects),
            x if x == Self::ConsumableExhausted as i32 => Some(Self::ConsumableExhausted),
            x if x == Self::ShowItemsPickedUp as i32 => Some(Self::ShowItemsPickedUp),
            x if x == Self::ClientDisplayNotification as i32 => Some(Self::ClientDisplayNotification),
            x if x == Self::ApplyStrangePart as i32 => Some(Self::ApplyStrangePart),
            x if x == Self::IncrementKillCountAttribute as i32 => Some(Self::IncrementKillCountAttribute),
            x if x == Self::IncrementKillCountResponse as i32 => Some(Self::IncrementKillCountResponse),
            x if x == Self::ApplyPennantUpgrade as i32 => Some(Self::ApplyPennantUpgrade),
            x if x == Self::SetItemPositions as i32 => Some(Self::SetItemPositions),
            x if x == Self::ApplyEggEssence as i32 => Some(Self::ApplyEggEssence),
            x if x == Self::NameEggEssenceResponse as i32 => Some(Self::NameEggEssenceResponse),
            x if x == Self::PaintKitItem as i32 => Some(Self::PaintKitItem),
            x if x == Self::PaintKitBaseItem as i32 => Some(Self::PaintKitBaseItem),
            x if x == Self::PaintKitItemResponse as i32 => Some(Self::PaintKitItemResponse),
            x if x == Self::GiftedItems as i32 => Some(Self::GiftedItems),
            x if x == Self::UnlockItemStyle as i32 => Some(Self::UnlockItemStyle),
            x if x == Self::UnlockItemStyleResponse as i32 => Some(Self::UnlockItemStyleResponse),
            x if x == Self::ApplySticker as i32 => Some(Self::ApplySticker),
            x if x == Self::ItemAcknowledged as i32 => Some(Self::ItemAcknowledged),
            x if x == Self::StatTrakSwap as i32 => Some(Self::StatTrakSwap),
            x if x == Self::UserTrackTimePlayedConsecutively as i32 => Some(Self::UserTrackTimePlayedConsecutively),
            x if x == Self::ItemCustomizationNotification as i32 => Some(Self::ItemCustomizationNotification),
            x if x == Self::ModifyItemAttribute as i32 => Some(Self::ModifyItemAttribute),
            x if x == Self::CasketItemAdd as i32 => Some(Self::CasketItemAdd),
            x if x == Self::CasketItemExtract as i32 => Some(Self::CasketItemExtract),
            x if x == Self::CasketItemLoadContents as i32 => Some(Self::CasketItemLoadContents),
            x if x == Self::TradingBase as i32 => Some(Self::TradingBase),
            x if x == Self::InitiateTradeRequest as i32 => Some(Self::InitiateTradeRequest),
            x if x == Self::InitiateTradeResponse as i32 => Some(Self::InitiateTradeResponse),
            x if x == Self::StartSession as i32 => Some(Self::StartSession),
            x if x == Self::SetItem as i32 => Some(Self::SetItem),
            x if x == Self::RemoveItem as i32 => Some(Self::RemoveItem),
            x if x == Self::UpdateTradeInfo as i32 => Some(Self::UpdateTradeInfo),
            x if x == Self::SetReadiness as i32 => Some(Self::SetReadiness),
            x if x == Self::ReadinessResponse as i32 => Some(Self::ReadinessResponse),
            x if x == Self::SessionClosed as i32 => Some(Self::SessionClosed),
            x if x == Self::CancelSession as i32 => Some(Self::CancelSession),
            x if x == Self::TradeChatMsg as i32 => Some(Self::TradeChatMsg),
            x if x == Self::ConfirmOffer as i32 => Some(Self::ConfirmOffer),
            x if x == Self::TradeTypingChatMsg as i32 => Some(Self::TradeTypingChatMsg),
            x if x == Self::FavoriteServer as i32 => Some(Self::FavoriteServer),
            x if x == Self::BlacklistServer as i32 => Some(Self::BlacklistServer),
            x if x == Self::ServerRentalsBase as i32 => Some(Self::ServerRentalsBase),
            x if x == Self::ItemPreviewCheckStatus as i32 => Some(Self::ItemPreviewCheckStatus),
            x if x == Self::ItemPreviewStatusResponse as i32 => Some(Self::ItemPreviewStatusResponse),
            x if x == Self::ItemPreviewRequest as i32 => Some(Self::ItemPreviewRequest),
            x if x == Self::ItemPreviewRequestResponse as i32 => Some(Self::ItemPreviewRequestResponse),
            x if x == Self::ItemPreviewExpire as i32 => Some(Self::ItemPreviewExpire),
            x if x == Self::ItemPreviewExpireNotification as i32 => Some(Self::ItemPreviewExpireNotification),
            x if x == Self::ItemPreviewItemBoughtNotification as i32 => Some(Self::ItemPreviewItemBoughtNotification),
            x if x == Self::NewItemRequest as i32 => Some(Self::NewItemRequest),
            x if x == Self::NewItemRequestResponse as i32 => Some(Self::NewItemRequestResponse),
            x if x == Self::PaintKitDropItem as i32 => Some(Self::PaintKitDropItem),
            x if x == Self::SchemaReservationRequest as i32 => Some(Self::SchemaReservationRequest),
            x if x == Self::StoreGetUserData as i32 => Some(Self::StoreGetUserData),
            x if x == Self::StoreGetUserDataResponse as i32 => Some(Self::StoreGetUserDataResponse),
            x if x == Self::DEPRECATED_2502 as i32 => Some(Self::DEPRECATED_2502),
            x if x == Self::DEPRECATED_2503 as i32 => Some(Self::DEPRECATED_2503),
            x if x == Self::StorePurchaseFinalize as i32 => Some(Self::StorePurchaseFinalize),
            x if x == Self::StorePurchaseFinalizeResponse as i32 => Some(Self::StorePurchaseFinalizeResponse),
            x if x == Self::StorePurchaseCancel as i32 => Some(Self::StorePurchaseCancel),
            x if x == Self::StorePurchaseCancelResponse as i32 => Some(Self::StorePurchaseCancelResponse),
            x if x == Self::StorePurchaseQueryTxn as i32 => Some(Self::StorePurchaseQueryTxn),
            x if x == Self::StorePurchaseQueryTxnResponse as i32 => Some(Self::StorePurchaseQueryTxnResponse),
            x if x == Self::StorePurchaseInit as i32 => Some(Self::StorePurchaseInit),
            x if x == Self::StorePurchaseInitResponse as i32 => Some(Self::StorePurchaseInitResponse),
            x if x == Self::BannedWordListRequest as i32 => Some(Self::BannedWordListRequest),
            x if x == Self::BannedWordListResponse as i32 => Some(Self::BannedWordListResponse),
            x if x == Self::ToGCBannedWordListBroadcast as i32 => Some(Self::ToGCBannedWordListBroadcast),
            x if x == Self::ToGCBannedWordListUpdated as i32 => Some(Self::ToGCBannedWordListUpdated),
            x if x == Self::ToGCDirtySDOCache as i32 => Some(Self::ToGCDirtySDOCache),
            x if x == Self::ToGCDirtyMultipleSDOCache as i32 => Some(Self::ToGCDirtyMultipleSDOCache),
            x if x == Self::ToGCUpdateSQLKeyValue as i32 => Some(Self::ToGCUpdateSQLKeyValue),
            x if x == Self::ToGCIsTrustedServer as i32 => Some(Self::ToGCIsTrustedServer),
            x if x == Self::ToGCIsTrustedServerResponse as i32 => Some(Self::ToGCIsTrustedServerResponse),
            x if x == Self::ToGCBroadcastConsoleCommand as i32 => Some(Self::ToGCBroadcastConsoleCommand),
            x if x == Self::ServerVersionUpdated as i32 => Some(Self::ServerVersionUpdated),
            x if x == Self::ToGCWebAPIAccountChanged as i32 => Some(Self::ToGCWebAPIAccountChanged),
            x if x == Self::RequestAnnouncements as i32 => Some(Self::RequestAnnouncements),
            x if x == Self::RequestAnnouncementsResponse as i32 => Some(Self::RequestAnnouncementsResponse),
            x if x == Self::RequestPassportItemGrant as i32 => Some(Self::RequestPassportItemGrant),
            x if x == Self::ClientVersionUpdated as i32 => Some(Self::ClientVersionUpdated),
            x if x == Self::RecurringSubscriptionStatus as i32 => Some(Self::RecurringSubscriptionStatus),
            x if x == Self::AdjustEquipSlotsManual as i32 => Some(Self::AdjustEquipSlotsManual),
            x if x == Self::AdjustEquipSlotsShuffle as i32 => Some(Self::AdjustEquipSlotsShuffle),
            x if x == Self::OpenCrate as i32 => Some(Self::OpenCrate),
            x if x == Self::AcknowledgeRentalExpiration as i32 => Some(Self::AcknowledgeRentalExpiration),
            x if x == Self::VolatileItemLoadContents as i32 => Some(Self::VolatileItemLoadContents),
            _ => None,
        }
    }
}
